summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRoman Mishin2020-05-16 09:57:27 +0700
committerRoman Mishin2020-05-16 09:57:27 +0700
commit85ea62ad6574ed55a0c44ea819fdfc2623ea8de2 (patch)
treecb61f88410f0e9dad684638f81297b8af2ba601f
downloadaur-85ea62ad6574ed55a0c44ea819fdfc2623ea8de2.tar.gz
create
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD32
2 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..13169c2f835
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = sfk-bin
+ pkgdesc = Swiss File Knife - a command line tools collection
+ pkgver = 1.9.6.2
+ pkgrel = 1
+ url = http://stahlworks.com/dev/swiss-file-knife.html
+ arch = x86_64
+ license = BSD
+ makedepends = awk
+ depends = gcc-libs
+ provides = sfk
+ conflicts = sfk
+ noextract = sfk-linux-64.exe
+ source = http://stahlworks.com/dev/sfk/sfk-linux-64.exe
+ md5sums = 2af001a0bfd9cfe675be2a0d4f2a31b3
+
+pkgname = sfk-bin
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..63a349fa108
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Roman Mishin <xtradev (a) yandex (.) ru>
+pkgname=sfk-bin
+pkgver=1.9.6.2
+pkgrel=1
+pkgdesc="Swiss File Knife - a command line tools collection"
+arch=('x86_64')
+url='http://stahlworks.com/dev/swiss-file-knife.html'
+license=('BSD')
+depends=('gcc-libs')
+makedepends=('awk')
+provides=('sfk')
+conflicts=('sfk')
+_bin='sfk-linux-64.exe'
+source=("http://stahlworks.com/dev/sfk/$_bin")
+noextract=("$_bin")
+md5sums=('2af001a0bfd9cfe675be2a0d4f2a31b3')
+
+prepare() {
+ cp "$_bin" "$srcdir/sfk"
+ chmod +x "$srcdir/sfk"
+}
+
+pkgver() {
+ "$srcdir/sfk" ver -own | awk '{print $5}'
+}
+
+package() {
+ install -DT "$srcdir/sfk" "$pkgdir/usr/bin/sfk"
+ install -dm755 "$pkgdir/usr/share/licenses/sfk"
+ "$srcdir/sfk" license >"$pkgdir/usr/share/licenses/sfk/LICENSE" || true
+ rm "$srcdir/sfk"
+}